For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
AcademyContact SalesHelp CenterDashboard
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
  • Get Started
    • Introduction
    • Authentication
  • Resources
    • Custom Variables
    • Dynamic Prompt Injection
    • Outbound Number Pooling
    • Timezones
  • Platform API
      • GETList phone numbers
      • GETGet a phone number
      • POSTImport phone number
      • PATCHUpdate a phone number
      • DELDelete a phone number
LogoLogo
AcademyContact SalesHelp CenterDashboard
Platform APIPhone Numbers

Delete a phone number

||View as Markdown|
DELETE
/numbers/:phone_number_slug
DELETE
/v2/numbers/:phone_number_slug
$curl -X DELETE https://api.synthflow.ai/v2/numbers/33782990580 \
> -H "Authorization: Bearer <token>"
1{
2 "status": "ok"
3}
Deletes a phone number from your workspace. This will detach the phone number from any agents it is linked to. For phone numbers purchased through Synthflow, this also cancels the monthly subscription.
Was this page helpful?
Previous

Get voices

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

phone_number_slugstringRequired

The phone number slug (phone number without the leading +).

Response

200
statusstring
Whether the request was successful.

Errors

400
Bad Request Error